Bug 842161 - [abrt] libmtp-examples-1.1.3-2.fc17: __strlen_sse2_no_bsf: Process /usr/bin/mtp-detect was killed by signal 11 (SIGSEGV)
[abrt] libmtp-examples-1.1.3-2.fc17: __strlen_sse2_no_bsf: Process /usr/bin/m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
abrt_hash:1b7b22a3796aee264a78da29e93...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 12:05 EDT by Jan Lippert
Modified: 2013-08-01 08:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (15.63 KB, text/plain)
2012-07-22 12:05 EDT, Jan Lippert
no flags Details

  None (edit)
Description Jan Lippert 2012-07-22 12:05:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        mtp-detect
comment:        Switched my android device (asus eee pad transformer tf100) from mtp to ptp and back again.
crash_function: __strlen_sse2_no_bsf
executable:     /usr/bin/mtp-detect
kernel:         3.4.5-2.fc17.x86_64
pid:            30797
pwd:            /home/ljan
time:           So 22 Jul 2012 18:01:44 CEST
uid:            1000

backtrace:      Text file, 16009 bytes

build_ids:
:f69712fe393313f44607679e934bf5a67f39ec50
:f03fde88fd2c3180a8039f0bdb5236640841f689
:771e6b6ef25344a33d081b06d9f967b887108512
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:6086bff484a49cc8b80cb714d7e83a6391394800
:fb86c3a448f22bd68843d5aa0b35e74d20629e85

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ljan/1

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x15c582 __strlen_sse2_no_bsf libc.so.6 -
:f03fde88fd2c3180a8039f0bdb5236640841f689 0x180c1 LIBMTP_Open_Raw_Device_Uncached libmtp.so.9 -
:f03fde88fd2c3180a8039f0bdb5236640841f689 0x18b56 LIBMTP_Open_Raw_Device libmtp.so.9 -
:771e6b6ef25344a33d081b06d9f967b887108512 0x1277 - [exe] -

dso_list:
:/usr/bin/mtp-detect libmtp-examples-1.1.3-2.fc17.x86_64 (Fedora Project) 1341608805
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342816302
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342816302
:/usr/lib64/librt-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342816302
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342816302
:/usr/lib64/libmtp.so.9.0.3 libmtp-1.1.3-2.fc17.x86_64 (Fedora Project) 1337719246
:/usr/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342816302

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=mini-jan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/username/keyring-xWKPL4/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:WINDOWID=54525956
:GNOME_KEYRING_CONTROL=/run/user/username/keyring-xWKPL4
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=username
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/username/keyring-xWKPL4/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/786,unix/unix:/tmp/.ICE-unix/786
:USERNAME=username
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/username/.android-sdk/tools/:/home/username/.local/bin:/home/username/bin:/home/username/.android-sdk/tools/:/home/username/.android-sdk/tools/:/home/username/.android-sdk/platform-tools/:/home/username/.android-sdk/platform-tools/
:MAIL=/var/spool/mail/username
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/username
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/latest
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/username
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=username
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-sRCHWIQzhi,guid=3202a737ba835d9ab9953ac700000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/username
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-username-jcV2fU/database
:_=/usr/bin/mtp-detect

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15774                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15774                15774                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-00403000 r-xp 00000000 fd:02 169685                             /usr/bin/mtp-detect
:00602000-00603000 r--p 00002000 fd:02 169685                             /usr/bin/mtp-detect
:00603000-00604000 rw-p 00003000 fd:02 169685                             /usr/bin/mtp-detect
:022b3000-022ef000 rw-p 00000000 00:00 0                                  [heap]
:3119800000-3119820000 r-xp 00000000 fd:02 135337                         /usr/lib64/ld-2.15.so
:3119a1f000-3119a20000 r--p 0001f000 fd:02 135337                         /usr/lib64/ld-2.15.so
:3119a20000-3119a21000 rw-p 00020000 fd:02 135337                         /usr/lib64/ld-2.15.so
:3119a21000-3119a22000 rw-p 00000000 00:00 0 
:3119c00000-3119dac000 r-xp 00000000 fd:02 176505                         /usr/lib64/libc-2.15.so
:3119dac000-3119fac000 ---p 001ac000 fd:02 176505                         /usr/lib64/libc-2.15.so
:3119fac000-3119fb0000 r--p 001ac000 fd:02 176505                         /usr/lib64/libc-2.15.so
:3119fb0000-3119fb2000 rw-p 001b0000 fd:02 176505                         /usr/lib64/libc-2.15.so
:3119fb2000-3119fb7000 rw-p 00000000 00:00 0 
:311a000000-311a046000 r-xp 00000000 fd:02 154513                         /usr/lib64/libmtp.so.9.0.3
:311a046000-311a246000 ---p 00046000 fd:02 154513                         /usr/lib64/libmtp.so.9.0.3
:311a246000-311a24a000 r--p 00046000 fd:02 154513                         /usr/lib64/libmtp.so.9.0.3
:311a24a000-311a250000 rw-p 0004a000 fd:02 154513                         /usr/lib64/libmtp.so.9.0.3
:311a400000-311a416000 r-xp 00000000 fd:02 176506                         /usr/lib64/libpthread-2.15.so
:311a416000-311a616000 ---p 00016000 fd:02 176506                         /usr/lib64/libpthread-2.15.so
:311a616000-311a617000 r--p 00016000 fd:02 176506                         /usr/lib64/libpthread-2.15.so
:311a617000-311a618000 rw-p 00017000 fd:02 176506                         /usr/lib64/libpthread-2.15.so
:311a618000-311a61c000 rw-p 00000000 00:00 0 
:311ac00000-311ac07000 r-xp 00000000 fd:02 138204                         /usr/lib64/librt-2.15.so
:311ac07000-311ae06000 ---p 00007000 fd:02 138204                         /usr/lib64/librt-2.15.so
:311ae06000-311ae07000 r--p 00006000 fd:02 138204                         /usr/lib64/librt-2.15.so
:311ae07000-311ae08000 rw-p 00007000 fd:02 138204                         /usr/lib64/librt-2.15.so
:312f000000-312f00e000 r-xp 00000000 fd:02 176607                         /usr/lib64/libusb-1.0.so.0.1.0
:312f00e000-312f20d000 ---p 0000e000 fd:02 176607                         /usr/lib64/libusb-1.0.so.0.1.0
:312f20d000-312f20e000 r--p 0000d000 fd:02 176607                         /usr/lib64/libusb-1.0.so.0.1.0
:312f20e000-312f20f000 rw-p 0000e000 fd:02 176607                         /usr/lib64/libusb-1.0.so.0.1.0
:7fd7259ba000-7fd7259be000 rw-p 00000000 00:00 0 
:7fd7259d3000-7fd7259da000 r--s 00000000 fd:02 905                        /usr/lib64/gconv/gconv-modules.cache
:7fd7259da000-7fd7259dc000 rw-p 00000000 00:00 0 
:7fff79ff2000-7fff7a013000 rw-p 00000000 00:00 0                          [stack]
:7fff7a101000-7fff7a102000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:pipe:[172892]
:pos:	0
:flags:	00
:4:pipe:[172892]
:pos:	0
:flags:	01
:5:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:6:/dev/bus/usb/001/005
:pos:	0
:flags:	0100002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 9f34d6c2-344d-4f4e-a127-e5632949ed8f
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 3325.11
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Atom(TM) CPU N450   @ 1.66GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 28
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 1666
:Systemspeicher: 1993
:System-Swap: 3999
:Anbieter: Acer
:System: AOD255 V1.00
:Form-Faktor: Notebook
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux aktiviert: 0
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10172:4133:841) pci, None, PCI/ISA, NM10 Family LPC Controller
:(5772:43:4187:57366) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:40977:4133:841) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4133:841) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4133:841) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4133:841) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(6505:8288:4133:841) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(32902:10200:4133:841) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:4133:841) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4133:841) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10177:4133:841) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4133:841) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4133:841) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4133:841) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4133:841) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4133:841) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4133:841) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mini--jan-lv_root / ext4 4096 4096 13091009 10453653 10322603 3276800 3038041 3038041
:/dev/sda1 /boot ext4 1024 1024 508644 398273 372673 128016 127653 127653
:/dev/mapper/vg_mini--jan-lv_home /home ext4 4096 4096 15012281 4273419 3521394 3760128 3673596 3673596
:

var_log_messages:
:Jul 22 18:01:44 mini-jan kernel: [11542.311006] mtp-detect[30797]: segfault at 0 ip 0000003119d5c582 sp 00007fff7a011698 error 4 in libc-2.15.so[3119c00000+1ac000]
:Jul 22 18:01:44 mini-jan abrt[30798]: Saved core dump of pid 30797 (/usr/bin/mtp-detect) to /var/spool/abrt/ccpp-2012-07-22-18:01:44-30797 (598016 bytes)
Comment 1 Jan Lippert 2012-07-22 12:05:51 EDT
Created attachment 599627 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-07-04 00:06:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:40:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.